質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.37%

  • Python

    10381questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

jupyter notebook のエラー -- pkg_resources.DistributionNotFound

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,041

simasima

score 41

jupyter notebook のエラーです。
jupyter notebook のextension を導入したところこのようなエラーがでるようになってしまいました。
また、pip,jupyter,ipythonなどはすべてpipでupgradeしたのですがダメでした。
よろしくお願いします。

kagurdhcp024213% jupyter notebook                                                    ⮀ INSERT ⮀
Traceback (most recent call last):
  File "/usr/local/bin/jupyter-notebook", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 2603, in <module>
    working_set.require(__requires__)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 666, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 565, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: ipython>=4.0.0

バージョンは以下のようになっています。

kagurdhcp024213% python -V                                                                                 
Python 2.7.5
kagurdhcp024213% ipython -V                                                                                                        
5.1.0

kagurdhcp024213% jupyter --version                                                                                                                   
4.2.0
kagurdhcp024213% pip -V                                                                                                                               
pip 9.0.1 from /usr/local/lib/python2.7/site-packages (python 2.7)

また、以下のコマンドを打ち込んでからエラーがでるようになりました。
おそらく setup.pyを実行した後の問題ではないかと思うのですが...

pip install pyyaml
git clone https://github.com/ipython-contrib/IPython-notebook-extensions
cd IPython-notebook-extensions
sudo python setup.py install
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

インストール情報がこわれている気がします。upgradeではなく、以下のようにアンインストール&インストールをやってみてください。

$ sudo pip uninstall ipython
$ pip uninstall ipython
$ pip install ipython

また、以下のように、sudoをここだけ付けてるのはなぜでしょうか?

$ cd IPython-notebook-extensions
$ sudo python setup.py install


これが原因で、OS管理下にあるPythonのディレクトリにインストールされていると思います。
cd せずに以下のようにインストールしてみてください。

$ pip install ./IPython-notebook-extensions/

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/11/14 16:52

    ```
    $ sudo pip uninstall ipython
    $ pip uninstall ipython
    $ pip install ipython
    ```
    までは行いましたが、やはりエラーが出ます。$Ipython notebook で行うと問題なくjupyter notebook が利用できるのですが...ただ、$jupyter notebook の時と変わらず extensionは利用できません。
    sudoをつけているのは、つけない場合Permission denieと怒られるためです。
    また、ホームディレクトリで$ pip install ./IPython-notebook-extensions/を行ってみましたが、
    Invalid requirement: './IPython-notebook-extensions/'
    It looks like a path. Does it exist ?
    となってしまいました。

    また、
    pip install pyyaml
    git clone https://github.com/ipython-contrib/IPython-notebook-extensions
    cd IPython-notebook-extensions
    sudo python setup.py install

    を行う前に
    $ pip install https://github.com/ipython-contrib/IPython-notebook-extensions/archive/master.zip --user
    を行っていたという背景があります。

    キャンセル

  • 2016/11/14 18:00

    ```
    Invalid requirement: './IPython-notebook-extensions/'
    It looks like a path. Does it exist ?
    ```
    これは、そのパスが存在しないからですね。
    IPython-notebook-extensions の親ディレクトリで実行してみてください。

    以下、現状についての推測と補足です。

    `pip install ipython` ができているのに、IPython-notebook-extensions はエラーになっていたのを考えるとおそらく以下のようになっているのだと思います。

    1. Permission denied になっているのはOSのPythonのパスにユーザー権限でインストールしようとしているためでしょう。
    2. pip installできているのは、ユーザー環境のどこかにPythonが別にインストールされていて、そこにインストールされるためでしょう(virtualenvかanacondaかpyenvかどれかでしょうか)。
    3. pip install --user は ~/.local/ 以下にインストールされます。

    そして、これらはそれぞれ別のPython環境のため、共存しません。どれか1つの環境のみで構築してみてください。
    おそらく、2番の環境に入れていくのが今のところ良さそうに見えます。

    キャンセル

  • 2016/11/14 22:33

    とてもわかりやすい説明ありがとうございます!!
    まだまだ初心者なので時間がかかりそうですが、御説明を頼りにがんばってみます。

    キャンセル

同じタグがついた質問を見る

  • Python

    10381questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。